# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "crypto-markets"
version = "0.6.2"
authors = ["soulmachine <soulmachine@gmail.com>"]
description = "Get all trading pairs of a cryptocurrency exchange"
keywords = ["cryptocurrency", "blockchain", "trading"]
license = "Apache-2.0"
repository = "https://github.com/soulmachine/crypto-crawler-rs/tree/main/crypto-markets"
[dependencies.crypto-market-type]
version = "0.1.2"

[dependencies.reqwest]
version = "0.11"
features = ["blocking", "gzip", "socks"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.strum]
version = "0.20"

[dependencies.strum_macros]
version = "0.20"
